Name:           python3-bsddb3
Version:        6.0.1
Release:        5%{?dist}
Summary:        Python 3 bindings for BerkleyDB

License:        BSD
URL:            https://pypi.python.org/pypi/bsddb3/
Source0:        https://pypi.python.org/packages/source/b/bsddb3/bsddb3-%{version}.tar.gz

Requires:       python(abi) >= 3.0
BuildRequires:  python3-devel
BuildRequires:  libdb-devel

%description
This package contains Python wrappers for Berkeley DB, the Open Source embedded
database system. The Python wrappers allow you to store Python string objects of
any length.

%prep
%setup -q -n bsddb3-%{version}

%build
CFLAGS="%{optflags}" %{__python3} setup.py build

%install
rm -rf %{buildroot}
%{__python3} setup.py install --skip-build --root "%{buildroot}"
# Get rid of unneeded header
rm -f %{buildroot}/%{_includedir}/python3.?m/bsddb3/bsddb.h
# Make all scripts executable
chmod 0755 %{buildroot}/%{python3_sitearch}/bsddb3/{dbshelve.py,tests/test_dbtables.py}

%check
%{__python3} test.py

%files
%doc ChangeLog PKG-INFO README.txt LICENSE.txt
%{python3_sitearch}/bsddb3/
%{python3_sitearch}/bsddb3-%{version}-py3.?.egg-info

%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 6.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 14 2014 Bohuslav Kabrda <bkabrda@redhat.com> - 6.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Dec 06 2013 Jan Stanek <jstanek@redhat.com> - 6.0.1-1
- Update to 6.0.1

* Mon Sep 23 2013 Jan Stanek <jstanek@redhat.com> - 6.0.0-1
- Initial package
